Main Page Modules Data Structures Globals Appendix

# MCodingInfoUTF Struct Reference
[Code Conversion]

Structure for extra information about a coding system of type MCODING_TYPE_UTF. More...

## Data Fields
int | code_unit_bits
int | bom
int | endian

## Detailed Description

Structure for extra information about a coding system of type MCODING_TYPE_UTF.

## Field Documentation

int MCodingInfoUTF::code_unit_bits

Specify bits of a code unit. The value must be 8, 16, or 32.

int MCodingInfoUTF::bom

Specify how to handle the heading BOM (byte order mark). The value must be 0, 1, or 2. The meanings are as follows:

0: On decoding, check the first two byte. If they are BOM, decide endian by them. If not, decide endian by the member `endian`. On encoding, produce byte sequence according to `endian` with heading BOM.

1: On decoding, do not handle the first two bytes as BOM, and decide endian by `endian`. On encoding, produce byte sequence according to `endian` without BOM.

2: On decoding, handle the first two bytes as BOM and decide ending by them. On encoding, produce byte sequence according to `endian` with heading BOM.

If <code_unit_bits> is 8, the value has no meaning.

int MCodingInfoUTF::endian

Specify the endian type. The value must be 0 or 1. 0 means little endian, and 1 means big endian.

If <code_unit_bits> is 8, the value has no meaning.

Top of this page
Main Page Modules Data Structures Globals Appendix